Page MenuHomePhabricator

Move cxserver logging to new logging pipeline
Closed, ResolvedPublic

Description

We need to move CX-cxserver to the new logging pipeline. The config should be updated similar to https://gerrit.wikimedia.org/r/#/c/mediawiki/services/change-propagation/deploy/+/500813 and newest node dependencies should be used (newest version of service-runner.

Event Timeline

Pchelolo created this task.Apr 2 2019, 7:21 PM
Pchelolo updated the task description. (Show Details)

Change 500846 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/services/cxserver/deploy@master] Move cxserver logging to new logging pipeline

https://gerrit.wikimedia.org/r/500846

@Pchelolo Added patch. Feel free to fix :)

fgiunchedi triaged this task as Medium priority.Apr 9 2019, 8:37 AM

Change 500846 abandoned by Alexandros Kosiaris:
Move cxserver logging to new logging pipeline

Reason:
I 'll abandon this, cxserver is on kubernetes now, this repo is deprecated and read only

https://gerrit.wikimedia.org/r/500846

Change 573240 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/deployment-charts@master] cxserver: Remove logstash logging

https://gerrit.wikimedia.org/r/573240

Change 573240 merged by Alexandros Kosiaris:
[operations/deployment-charts@master] cxserver: Remove logstash logging

https://gerrit.wikimedia.org/r/573240

Mentioned in SAL (#wikimedia-operations) [2020-05-05T13:46:02Z] <akosiaris> deploy cxserver chart 0.0.15 to staging, codfw, eqiad. T219921

akosiaris closed this task as Resolved.May 5 2020, 1:50 PM
akosiaris claimed this task.
akosiaris added a subscriber: akosiaris.

I am gonna resolve this, I just removed direct logstash logging from cxserver, now only the logging pipeline is in play.